#ifndef MESSAGE_H
#define MESSAGE_H

#include <iostream>

class Message{
public:
	Message();
	void setType(int);
	void setClientID(int);
	void setPacketID(int);
	void setData(char *);
	int getType();
	int getClientID();
	int getPacketID();
	char *getTheData();
	

private:
	int type;
	int clientID;
	int packetID;
	char *data;
};

#endif